Bug 241074 - net-p2p/qtum: fix build on GCC architectures
Summary: net-p2p/qtum: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-05 09:57 UTC by Piotr Kubaj
Modified: 2019-10-12 19:50 UTC (History)
1 user (show)

See Also:
vd: maintainer-feedback+


Attachments
patch (488 bytes, patch)
2019-10-05 09:57 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (vd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-05 09:57:52 UTC
Created attachment 208108 [details]
patch

Don't add -L/usr/lib because it breaks linking when using GCC (used on GCC architectures), because GCC tries to link with base libstdc++.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-08 17:17:32 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 Vasil Dimov freebsd_committer 2019-10-12 17:08:47 UTC
Looks good, thanks!
Comment 3 commit-hook freebsd_committer 2019-10-12 19:50:45 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Oct 12 19:50:32 UTC 2019
New revision: 514352
URL: https://svnweb.freebsd.org/changeset/ports/514352

Log:
  net-p2p/qtum: fix build on GCC architectures

  Don't add -L/usr/lib because it breaks linking when using GCC (used on GCC architectures), because GCC tries to link with base libstdc++.

  PR:             241074
  Approved by:    linimon (mentor), vd (maintainer)

Changes:
  head/net-p2p/qtum/Makefile